System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IWsdlImportExtension

The is invoked when converting a WSDL description. It examines the WSDL documents and generates an in-memory description to be used later for code generation.

Handles the import of messages from WSDL documents using the .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` ``

  Specifies a service description and schema set to use when importing a set of WSDL documents.

  Specifies a service description and schema set to use when importing a set of WSDL documents.

  A that represents the WSDL documents to inspect. An that represents the schemas to use when converting messages. A that contains the policy documents to use when importing messages.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Imports the contract.

  Imports the contract.

  The to use for the import.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Imports a specific endpoint.

  Imports a specific endpoint.

  A that represents the importer to use.